Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1931239 - mkvtoolnix: rebuild against new fmt
Summary: mkvtoolnix: rebuild against new fmt
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: mkvtoolnix
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dominik 'Rathann' Mierzejewski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-02-21 21:34 UTC by Carl George 🤠
Modified: 2021-02-24 19:55 UTC (History)
5 users (show)

Fixed In Version: mkvtoolnix-46.0.0-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 19:55:46 UTC
Type: Bug


Attachments (Terms of Use)

Description Carl George 🤠 2021-02-21 21:34:15 UTC
Description of problem:
fmt was recently updated from 3.0.2 to 6.2.1 (bug 1925932).  That update bumps the soname from libfmt.so.3 to libfmt.so.6.  mkvtoolnix no longer installs and needs to be rebuilt against the new soname.


Version-Release number of selected component (if applicable):
mkvtoolnix-46.0.0-1.el7


How reproducible:
always


Steps to Reproduce:
1. yum install mkvtoolnix


Actual results:
    Error: Package: mkvtoolnix-46.0.0-1.el7.x86_64 (epel)
               Requires: libfmt.so.3()(64bit)


Expected results:
successful installation

Comment 1 Fedora Update System 2021-02-22 01:41:38 UTC
FEDORA-EPEL-2021-54baf7b8c3 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-54baf7b8c3

Comment 2 Fedora Update System 2021-02-24 19:55:46 UTC
FEDORA-EPEL-2021-54baf7b8c3 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.